Package com.mouseviator.fsuipc.helpers

# Class LVarHelper.ByteLVarWriteRequest

java.lang.Object
com.mouseviator.fsuipc.datarequest.DataRequest
com.mouseviator.fsuipc.helpers.LVarHelper.ByteLVarWriteRequest

All Implemented Interfaces:
  `IDataRequest<java.lang.Byte>`, `IWriteOnlyRequest<java.lang.Byte>`

Enclosing class:
  LVarHelper

    public static class LVarHelper.ByteLVarWriteRequest
    extends DataRequest
    implements IWriteOnlyRequest<java.lang.Byte>

This class implements LVar write (write-only) request. It will accept Byte (8-bit integer value) value. The only one available constructor takes 2 arguments. The first one is an offset at which FSUIPC will look for that value to write to the Lvar. The second one is the value itself.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `IDataRequest.RequestType`

- ## Field Summary

  ### Fields inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `BUFFER_LENGTH_BYTE, BUFFER_LENGTH_DOUBLE, BUFFER_LENGTH_FLOAT, BUFFER_LENGTH_INT, BUFFER_LENGTH_LONG, BUFFER_LENGTH_SHORT, dataBuffer, MAX_OFFSET_VALUE, MIN_OFFSET_VALUE, offset, type`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ByteLVarWriteRequest​(int offset, java.lang.Byte value)` | Construct new LVar write request.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `setValue​(java.lang.Byte value)` | Sets the value for this data request.

  ### Methods inherited from class com.mouseviator.fsuipc.datarequest.DataRequest

  `convertStringToByteArray, copyByteArray, getDataBuffer, getDouble, getFloat, getInt, getLong, getOffset, getShort, getSize, getType, getZeroTerminatedString, putDouble, putDouble, putFloat, putFloat, putInt, putInt, putLong, putLong, putShort, putShort, setOffset, setType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IDataRequest

  `getDataBuffer, getOffset, getSize, getType, setOffset, setType`

  ### Methods inherited from interface com.mouseviator.fsuipc.datarequest.IWriteOnlyRequest

  `getValue`

- ## Constructor Details

  - ### ByteLVarWriteRequest

    public ByteLVarWriteRequest​(int offset, java.lang.Byte value)
    Construct new LVar write request.
    Parameters:
      `offset` - The offset at which the LVar value will be stored by FSUIPC.
      `value` - Value to be stored at the offset.

- ## Method Details

  - ### setValue

    public void setValue​(java.lang.Byte value)
    Sets the value for this data request.
    Specified by:
      `setValue` in interface `IDataRequest<java.lang.Byte>`
    Parameters:
      `value` - The value.